#
# spec file for package lsi-mpt3sas (Version 36.00.00.00)
#
# Copyright (c) 2020 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://support.novell.com
#

Name:          lsi-mpt3sas
BuildRequires: %kernel_module_package_buildreqs
License:       GPL-2.0
Group:         System/Kernel
Summary:       LSI Fusion MPT Kernel Module Package
Version:       36.00.00.00
Release:       5.1
Source0:       mpt3sas-%version-src.tar.gz
Source1:       Module.supported
BuildRoot:     %{_tmppath}/%{name}-%{version}-build

%kernel_module_package

%description
This is a Kernel Module Package for the LSI Fusion MPT driver.

%prep
%setup -n mpt3sas
cp %_sourcedir/Module.supported Module.supported
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
%bcond_with retpoline
%if %{with retpoline}
export KCFLAGS='-mindirect-branch=thunk-inline -mindirect-branch-register'
find source -name *.c -print0 | xargs -0 sed -i '/MODULE_LICENSE(/a MODULE_INFO(retpoline, "Y");'
%endif
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
         M=$PWD/obj/$flavor
done

%changelog
* Fri Oct 30 2020 andavis@suse.com
-mpt3sas driver version 36.00.00.00, bsc#1178215
* Mon Jul 27 2020 lance.ortiz@suse.com
-mpt3sas driver version 35.00.00.00
* Wed Jul 15 2020 lance.ortiz@suse.com
-mpt3sas driver version 34.00.02.00
* Mon Mar 30 2020 lance.ortiz@suse.com
-mpt3sas driver version 34.00.00.00
* Thu Jan 16 2020 lance.ortiz@suse.com
-mpt3sas driver version 33.00.00.00
* Wed Sep 25 2019 lance.ortiz@suse.com
-mpt3sas driver version 32.00.00.00
* Mon Jul  8 2019 lance.ortiz@suse.com
-mpt3sas driver version 31.00.00.00
* Wed Apr  3 2019 lance.ortiz@suse.com
-mpt3sas driver version 30.00.00.00
* Fri Sep 14 2018 lance.ortiz@suse.com
-mpt3sas driver version 27.00.01.00  First SLES15 build
